## Class Profile_Checker

- java.lang.Object
- - Profile_Checker

    public class Profile_Checker
    extends Object

A Profile_Checker validates a Conductor matrix definition Profile.

See Also:
  `Profile`

### Field Summary

Fields
`static int` `EXIT_COMMAND_LINE_SYNTAX` Command line syntax problem exit status (1).
`static int` `EXIT_ERROR` Profile error (2).
`static int` `EXIT_SUCCESS` Success exit status (0).

### Constructor Summary

Constructors
Constructor and Description
`Profile_Checker()`

### Method Summary

Methods
`static void` `main(String[] args)` Validate a Profile source.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXIT_SUCCESS

    public static final int EXIT_SUCCESS

Success exit status (0).

See Also:
  Constant Field Values

#### EXIT_COMMAND_LINE_SYNTAX

    public static final int EXIT_COMMAND_LINE_SYNTAX

Command line syntax problem exit status (1).

See Also:
  Constant Field Values

#### EXIT_ERROR

    public static final int EXIT_ERROR

Profile error (2).

See Also:
  Constant Field Values

### Constructor Detail

#### Profile_Checker

    public Profile_Checker()

### Method Detail

#### main

    public static void main(String[] args)

Validate a Profile source.